#!/bin/sh
#
# Script to append log lines in cumulus format to a monthly log
CUMULUS_CURRENT_FILE="/tmp/mnt/data/html/cumulus_wxsim.cur"
if [ -f "$CUMULUS_CURRENT_FILE" ]; then
    CUMULUS_MONTHLY_FILE="/tmp/mnt/data/export/`date '+%b%y'`log.txt"
    # Append current line and drop invalid lines
    CURRENT_DATA=$(cat $CUMULUS_CURRENT_FILE | grep -v "no data" | grep -v ",,,,,,,,,")
    if [[ ! -z "$CURRENT_DATA" ]]; then
      printf "$CURRENT_DATA\r\n" >> $CUMULUS_MONTHLY_FILE
    fi
    rm $CUMULUS_CURRENT_FILE
else
    echo "$CUMULUS_CURRENT_FILE doesn't exist" 
fi
exit 0
